Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxml.quick.ocm
Class OCMcontextSupport

    java.lang.Object
      |
      +--com.jxml.quick.ocm.OCMsinkSupport
            |
            +--com.jxml.quick.ocm.OCMcontextSupport

All Implemented Interfaces:
  Item, OCMbase, OCMsink, OCMsource

Direct Known Subclasses:
  Conv, Counter, Counter, Counter, QDML2QJML, QIML2JAVA, QVErrorContext

public class OCMcontextSupport
extends OCMsinkSupport
implements OCMsource

A base class for the operating context.

    DTD:

    <!ELEMENT contextSupport (((contextSupport | transcribe | input) | sourceLink),((validatorSupport | validateLink)?,
                             ((factory | factoryByTag)|factoryLink))>

    <!ATTLIST contextSupport
        docNamePrefix CDATA #IMPLIED
        expressDefaults CDATA "False"
        ID CDATA #IMPLIED
        outputSchema CDATA #IMPLIED
    >

Inner Class Summary
`class` | `OCMcontextSupport.SubContextSupport`

Inner classes inherited from class com.jxml.quick.ocm.OCMsinkSupport
`OCMsinkSupport.SubSinkSupport`

Inner classes inherited from class com.jxml.quick.ocm.OCMsource
`OCMsource.SubSource`

Inner classes inherited from class com.jxml.quick.ocm.OCMbase
`OCMbase.SubBase`

Inner classes inherited from class com.jxml.quick.ocm.OCMsink
`OCMsink.SubSink`

Field Summary
`OCMpeerFactory` | `factory` The peer factory.
`String` | `PUBLIC`
`String` | `rootTag`
`String` | `schemaName` The schema name for the output.
`String` | `SYSTEM`

Fields inherited from class com.jxml.quick.ocm.OCMsinkSupport
`expressDefaults, genNbr, prefix, source, validator`

Constructor Summary
`OCMcontextSupport()`

Method Summary
`OCMbase.SubBase` | `spawn(HashMap prior)` Creates a processing structure.

Methods inherited from class com.jxml.quick.ocm.OCMsinkSupport
`createSink, createSink, eval, exec, setSource, setValidator`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### schemaName

    public String schemaName

  The schema name for the output.

### factory

    public OCMpeerFactory factory

  The peer factory.

### SYSTEM

    public String SYSTEM

### PUBLIC

    public String PUBLIC

### rootTag

    public String rootTag

Constructor Detail

### OCMcontextSupport

    public OCMcontextSupport()

Method Detail

### spawn

    public OCMbase.SubBase spawn(HashMap prior)

  Description copied from interface: `OCMbase`
  Creates a processing structure.
  Specified by:
    `spawn` in interface `OCMbase`
  Overrides:
    `spawn` in class `OCMsinkSupport`
  Following copied from interface: `com.jxml.quick.ocm.OCMbase`
  Parameters:
    `prior` - A table of already spawned objects, keyed by their base object.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD